import axios from 'react-native-axios';
import {
  GoogleSignin,
  statusCodes,
} from '@react-native-google-signin/google-signin';
// import auth from '@react-native-firebase/auth';
// import {LoginManager, AccessToken} from 'react-native-fbsdk-next';

// import axios from 'axios';
import {API_KEY} from '../constants/APIs';

export const signup = (email, password) => {
  const url = `https://identitytoolkit.googleapis.com/v1/accounts:signUp?key=${API_KEY}`;
  return axios.post(url, {
    email,
    password,
    returnSecureToken: true,
  });
};

export const login = (email, password) => {
  const url = `https://identitytoolkit.googleapis.com/v1/accounts:signInWithPassword?key=${API_KEY}`;
  return axios.post(url, {
    email,
    password,
    returnSecureToken: true,
  });
};

export const googleLogin = async () => {
  try {
    GoogleSignin.signOut();
    await GoogleSignin.hasPlayServices();
    const userInfo = await GoogleSignin.signIn();
    // this.setState({userInfo});
    // console.log(userInfo);
    return userInfo;
  } catch (error) {
    if (error.code === statusCodes.SIGN_IN_CANCELLED) {
      // user cancelled the login flow
    } else if (error.code === statusCodes.IN_PROGRESS) {
      // operation (e.g. sign in) is in progress already
    } else if (error.code === statusCodes.PLAY_SERVICES_NOT_AVAILABLE) {
      // play services not available or outdated
    } else {
      // some other error happened
    }
  }
};

// export const onFacebookButtonPress = async () => {
//   // // Attempt login with permissions
//   // const result = await LoginManager.logInWithPermissions([
//   //   'public_profile',
//   //   'email',
//   // ]);

//   // if (result.isCancelled) {
//   //   throw 'User cancelled the login process';
//   // }

//   // // Once signed in, get the users AccesToken
//   // const data = await AccessToken.getCurrentAccessToken();

//   // if (!data) {
//   //   throw 'Something went wrong obtaining access token';
//   // }

//   // // Create a Firebase credential with the AccessToken
//   // const facebookCredential = auth.FacebookAuthProvider.credential(
//   //   data.accessToken,
//   // );

//   // // Sign-in the user with the credential
//   // return auth().signInWithCredential(facebookCredential);
// };
